<script lang="ts" setup>
import { useStaffStore } from '@/stores/staff'

const staffStore = useStaffStore()
</script>
<template>
  <v-dialog v-model="staffStore.addStaffDialog"
    ><v-sheet
      elevation="15"
      max-width="500"
      rounded="lg"
      height="330"
      width="100%"
      class="pa-5 mx-auto"
    >
      <v-card-title style="text-align: center" class="mb-3">
        <span class="text-h5">เพิ่มเจ้าหน้าที่</span>
      </v-card-title>
      <v-text-field v-model="staffStore.newStaffUsername" label="username"></v-text-field
      ><v-select
        v-model="staffStore.newStaffRole"
        label="Role"
        :items="['Staff', 'Admin']"
      ></v-select>
      <v-divider style="background-color: black" class="mb-5"></v-divider>
      <v-card-actions>
        <v-spacer></v-spacer><v-btn @click="staffStore.addStaff()" color="blue">ยืนยัน</v-btn
        ><v-btn @click="staffStore.addStaffDialog = false" color="red"
          >ยกเลิก</v-btn
        ></v-card-actions
      ></v-sheet
    ></v-dialog
  >
</template>
